Masumi Logo

/registry-diff

Query registry entries whose status was updated after the provided timestamp. Supports pagination. Always use statusUpdatedAt of the last item + its cursorId to paginate forward. This guarantees to include all items at least once, when paginating. Note: if the cursorId is not valid it will include all items with an id greater than the cursorId (in string comparison order). If no cursorId is provided, all items, including those with the same statusUpdatedAt, will be included. In case the statusUpdatedAt is before the provided statusUpdatedAfter, all items after the statusUpdatedAfter will be included, regardless of the cursorId.

POST
/registry-diff/
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/registry-diff/" \  -H "Content-Type: application/json" \  -d '{    "limit": 10,    "cursorId": "last_paginated_item",    "network": "Preprod",    "statusUpdatedAfter": "1970-01-01T00:00:00.000Z",    "policyId": "7e8bdaf2b2b919a3a4b94002cafb50086c0c845fe535d07a77ab7f77"  }'
{
  "data": {
    "entries": [
      {
        "id": "unique_cuid_v2",
        "name": "Example API",
        "createdAt": "1970-01-01T00:00:00.000Z",
        "updatedAt": "1970-01-01T00:02:00.000Z",
        "description": "Example API description",
        "status": "Online",
        "statusUpdatedAt": "1970-01-01T00:02:00.000Z",
        "authorName": null,
        "authorContactEmail": null,
        "authorContactOther": null,
        "image": "testimage.de",
        "otherLegal": null,
        "privacyPolicy": null,
        "tags": [],
        "termsAndCondition": "If the answer is 42 what was the question",
        "uptimeCheckCount": 10,
        "uptimeCount": 8,
        "lastUptimeCheck": "1970-01-01T00:00:00.000Z",
        "apiBaseUrl": "https://example.com/api/",
        "authorOrganization": "MASUMI",
        "paymentType": "Web3CardanoV1",
        "agentIdentifier": "222222222222222222222222222222222222222222222222222222222222222222",
        "RegistrySource": {
          "id": "unique_cuid_v2",
          "policyId": "policy_id",
          "type": "Web3CardanoV1",
          "url": "https://example.com/api/"
        },
        "Capability": {
          "name": "Example Capability",
          "version": "1.0.0"
        },
        "AgentPricing": {
          "pricingType": "Fixed",
          "FixedPricing": {
            "Amounts": [
              {
                "amount": "100",
                "unit": "USDC"
              }
            ]
          }
        },
        "ExampleOutput": [
          {
            "name": "Example Output",
            "mimeType": "image/png",
            "url": "https://example.com/image.png"
          }
        ],
        "metadataVersion": 1
      }
    ]
  },
  "status": "success"
}
Empty
Empty
Empty
Masumi Kanji